package model;

import java.io.Serializable;
import java.util.ArrayList;

public class CartMod  implements Serializable{
	private static final long serialVersionUID = 2L;
    private ArrayList<CartProduct> giohang;

    public CartMod() {
        giohang = new ArrayList<CartProduct>();
    }


    public void ThemMonHang(CartProduct pd) {
        // Kiem Tra Co San pham da co chua, de cap nhat lai SO LUONG
        if (giohang.contains(pd)) {
        	CartProduct m = giohang.get(giohang.indexOf(pd));
            m.setSoluong(m.getSoluong() + pd.getSoluong());
        } else// Neu Chua thi tao Moi
            giohang.add(pd);
    }
    
    // Cap Nhat So Luong
    public void CapNhatSoLuong(CartProduct pd) {
        if (giohang.contains(pd)) {
        	CartProduct m = giohang.get(giohang.indexOf(pd));
            m.setSoluong(pd.getSoluong());
        } else
            giohang.add(pd);
    }   
    
// Tra Lai San Pham
    public void XoaMonhang(CartProduct mh) {
        if (giohang.contains(mh)) {
            giohang.remove(mh);
        }
    }

// Lay Hang
    public ArrayList<CartProduct> getGiohang() {
        return giohang;
    }


// Tong Tien
    public double Tongtien(){
        double tt=0d;
        for(CartProduct pd:giohang){
            tt+=pd.getSanpham().getPrice()*pd.getSoluong();
        }
        return tt;
    }
}